> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/user
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/user:
    get:
      tags:
        - user
      summary: Get User
      operationId: get_user_api_v1_user_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    User:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        role:
          $ref: '#/components/schemas/UserRole'
          default: user
        email:
          type: string
          format: email
          title: Email
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - email
      title: User
    UserRole:
      type: string
      enum:
        - admin
        - developer
        - user
      title: UserRole
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````